Last Comment Bug 610066 - Add src parameter to AMO API pings
: Add src parameter to AMO API pings
Status: RESOLVED FIXED
: fixed-seamonkey2.0.14
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 602367
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-05 16:23 PDT by Robert Kaiser (not working on stability any more)
Modified: 2011-03-23 16:39 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
final+


Attachments
add src parameter [Checked in: Comment 3] (2.08 KB, patch)
2010-11-07 08:43 PST, Robert Kaiser (not working on stability any more)
bugspam.Callek: review+
Details | Diff | Review
(Bv1-191) SeaMonkey 2.0.x part [Checked in: Comment 7] (2.12 KB, patch)
2011-03-23 15:26 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
bugspam.Callek: approval‑seamonkey2.0.14+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-11-05 16:23:53 PDT
We'll want to port bug 602367 that added a src parameter to AMO requests. That bug stated that adding ?src=seamonkey for us is the right thing.
Comment 1 Robert Kaiser (not working on stability any more) 2010-11-07 08:43:39 PST
Created attachment 488756 [details] [diff] [review]
add src parameter
[Checked in: Comment 3]

Here's the patch to add the ?src=seamonkey parameter to the same URLs as the FIrefox patch did.
Comment 2 Justin Wood (:Callek) 2010-11-07 19:58:10 PST
Comment on attachment 488756 [details] [diff] [review]
add src parameter
[Checked in: Comment 3]

stealing review from Neil. r+
Comment 3 Robert Kaiser (not working on stability any more) 2010-11-08 06:45:46 PST
Pushed as http://hg.mozilla.org/comm-central/rev/373b5b735fcd
Comment 4 Serge Gautherie (:sgautherie) 2011-03-23 13:00:46 PDT
Comment on attachment 488756 [details] [diff] [review]
add src parameter
[Checked in: Comment 3]

This landed today for m-1.9.1.19.
Comment 5 Justin Wood (:Callek) 2011-03-23 13:05:49 PDT
Comment on attachment 488756 [details] [diff] [review]
add src parameter
[Checked in: Comment 3]

Happy to take this for branch, *but* can you please attach a branch specific patch; I know these urls have changed many times between trunk and branch.
Comment 6 Serge Gautherie (:sgautherie) 2011-03-23 15:26:29 PDT
Created attachment 521328 [details] [diff] [review]
(Bv1-191) SeaMonkey 2.0.x part
[Checked in: Comment 7]
Comment 7 Serge Gautherie (:sgautherie) 2011-03-23 16:38:39 PDT
Comment on attachment 521328 [details] [diff] [review]
(Bv1-191) SeaMonkey 2.0.x part
[Checked in: Comment 7]

http://hg.mozilla.org/releases/comm-1.9.1/rev/83f39848d2e4

Note You need to log in before you can comment on or make changes to this bug.